Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 524984 - automatic login fails to complete
Summary: automatic login fails to complete
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce
Version: rawhide
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 21:39 UTC by Brock Organ
Modified: 2009-09-29 20:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 20:30:59 UTC
Type: ---


Attachments (Terms of Use)
error dialog that appears after gdm "automatic login" is selected (279.38 KB, image/png)
2009-09-22 21:40 UTC, Brock Organ
no flags Details
desktop appearance after workaround (845.77 KB, image/png)
2009-09-22 22:16 UTC, Brock Organ
no flags Details

Description Brock Organ 2009-09-22 21:39:37 UTC
* F12-Snap3-i686-Live-XFCE.torrent
* booting from ISO image using F12/qemu virtual environment

After clicking on "automatic login" at the gdm screen, an error dialog occurs:

"Unable to load a failsafe session"

and the automatic login halts ... because of this error the installer can not be started, so no installs using this image can occur ...

see attached screenshot ...

Comment 1 Brock Organ 2009-09-22 21:40:15 UTC
Created attachment 362140 [details]
error dialog that appears after gdm "automatic login" is selected

Comment 2 Kevin Fenzi 2009-09-22 21:58:56 UTC
I thought I fixed this a while ago. 

If you go to a vty (control-alt-f2), login as root, and do 'chown -R liveuser ~liveuser' does it then allow you to login correctly?

Comment 3 Brock Organ 2009-09-22 22:11:49 UTC
Hi Kevin,

Yes, using your workaround I can get past the error dialog in screenshot 1, but the desktop still doesn't start properly (see attached screenshot #2) ...

Comment 4 Brock Organ 2009-09-22 22:16:06 UTC
hmmm ... ok, let me take comment #3 back ... after your comment #2 workaround the xfce desktop does start ... should there be an icon for the installer on the desktop?

Comment 5 Brock Organ 2009-09-22 22:16:33 UTC
Created attachment 362145 [details]
desktop appearance after workaround

Comment 6 Kevin Fenzi 2009-09-22 22:28:41 UTC
Yes, there normally should be. ;( 

You can open a terminal and run 'liveinst' to run the installer.

Comment 7 Brock Organ 2009-09-22 22:41:56 UTC
Hi Kevin,

Thanks, running liveinst in the terminal gives me a known blocking error for anaconda:

Bug 524313 -  trace back "ImportError: No module named nss.nss"

my guess is that each of the F12-Snap3-liveCDs that have this version of anaconda will be affected by it ... :(

Comment 8 Kevin Fenzi 2009-09-22 22:49:18 UTC
Yeah. 

I see where the icon is missing now, I just commited a fix I think. 
Hopefully tomorrows nightly compose will be fixed for these issues... if you could test it tomorrow and confirm that would be great.

Comment 9 Brock Organ 2009-09-23 12:49:58 UTC
Hi Kevin, will that compose show up on the Fedora Project Spins Tracker page?

http://spins.fedoraproject.org/

If so, I'll try to hit it as soon as I can download it ...

Comment 10 Kevin Fenzi 2009-09-23 22:56:24 UTC
Well, when Beta comes out or the next Snap release, yes. 

I meant the nightly ones at: 
http://alt.fedoraproject.org/pub/alt/nightly-composes/xfce/

However, composes have failed due to a yum bug today, and then when they do compose they don't boot due to a dracut or dmsetup bug. ;( 

So, perhaps tomorrow will be a better day. ;)

Comment 11 Kevin Fenzi 2009-09-26 01:55:41 UTC
The new nightlys should be fixed for this. 

Can you confirm and close this bug?

Also automatic login is broken, but should be fixed tomorrow, but you can still manually select the live user and should be able to login just fine.

Comment 12 Brock Organ 2009-09-29 20:19:20 UTC
verified this bug is fixed using:

xfce-i386-20090928.14.iso 

* liveCD booted
* automatic login completed
* installer desktop icon appeared
* install completed without errors
* rebooted successfully into post-install system
* logged in and desktop is functional

Thanks, Kevin!

Comment 13 Kevin Fenzi 2009-09-29 20:30:59 UTC
Excellent.


Note You need to log in before you can comment on or make changes to this bug.